#ifndef METATYPES_H
#define METATYPES_H

#include <QTreeWidgetItem>

#include "instructor.h"
#include "trainee.h"
#include "group.h"
#include "computer.h"
#include "classroom.h"
#include "module.h"
#include "tasksAmmFim.h"
#include "tools.h"
#include "Datas.h"

void registerMetaType();

Q_DECLARE_METATYPE(QList<Instructor>)
Q_DECLARE_METATYPE(QList<Trainee>)
Q_DECLARE_METATYPE(QList<Group>)
Q_DECLARE_METATYPE(QList<Computer>)
Q_DECLARE_METATYPE(QList<Classroom>)
Q_DECLARE_METATYPE(QList<Module*>)
Q_DECLARE_METATYPE(QList<TaskAmmFim>)
Q_DECLARE_METATYPE(PacketType)
Q_DECLARE_METATYPE(ClientMessage)
Q_DECLARE_METATYPE(QList<QTreeWidgetItem*>)

#endif // METATYPES_H
